Archivo

Posts Tagged ‘Kubuntu’

Google Gadgets en Linux y el dichoso error “js-script”

12 agosto 2009 Deja un comentario

Antes de nada, debo pedir disculpas por este largo periodo de ausencia. Entre unas cosas y otras nunca he encontrado momento para actualizar… pero ya estoy aqui de nuevo ūüėÄ

captura-google-gadgets

Hace algo as√≠ como una semana me entr√≥ la curiosidad de usar Kubuntu, ya que nunca le hab√≠a dado una oportunidad a KDE y ahora que habia salido una nueva versi√≥n pues…me anim√© a probarlo :D. Al principio tuve mil y un problemas (los t√≠picos de sonido, despu√©s Kopete me petaba SOLO cuando hablaba con mi novia…y cosas por el estilo) pero al final, de mejor o peor manera, fui solucion√°ndolos todos.

Cuando ya lo ten√≠a todo funcionando en condiciones, toc√≥ el momento de poner bonito el escritorio y tal, lo cual no es muy dif√≠cil en KDE, ya que con Plasma puedes poner el escritorio como un mueble bar, pero la mayor√≠a de los gadgets que pod√≠as poner o eran in√ļtiles (he llegado a encontrar un gadget de plasma que es una barra con los programas favoritos de el personaje que lo cre√≥) o con funcionalidad reducida (como por ejemplo KDETwitter), as√≠ que opt√© por Google Gadgets. (Google Gadgets puede obtenerse desde los repositorios de Ubuntu Jaunty en dos modalidades: GTK y Qt)

Después de instalarlo y ejecutarlo me aparece este error:

“Program can’t start because it failed to load the following module(s):

js-script-runtime”

Harto de buscar y no encontrar nada que me fuera √ļtil (la gente que reportaba el error era casi en su totalidad usuarios de Fedora10 que se pasaron a la 11…) decid√≠ bajarme las fuentes y compilarlo, a ver que pasaba.

Me puse a mirar por ahí, para ver las dependencias que requería compilar el programa en cuestión y me tropecé con esta página, donde aparecía la lista de dependecias necesarias para compilarlo:
– autoconf
– automake
– libtool
– SpiderMonkey
– libcurl
– libxml2
– zlib
– xulrunner-dev
– D-Bus
– Gstreamer

Despu√©s de instalar los “dev” de lo listado arriba me di√≥ por comprobar si ahora funcionaba el Google Gadgets que instal√© desde repositorios…y funcion√≥… Supongo que ser√≠a necesario SpiderMonkey para ejecutarse pero… esas dependencias se deber√≠an resolver junto al “aptitude install google-gadgets-gtk” ¬Ņno?… De cualquier modo, una cosa m√°s solucionada ūüėÄ

Anuncios